package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

public class PracticeStatisDto {
    @ApiModelProperty(value = "个分部数据", required = false)
    private List<Practice4OrganDto> practice4OrganDtoList;
    @ApiModelProperty(value = "体验人数", required = false)
    private Integer tryNum = 0;
    @ApiModelProperty(value = "vip转化人数", required = false)
    private Integer vipNum = 0;
    @ApiModelProperty(value = "网管课转化人数", required = false)
    private Integer practiceNum = 0;
    @ApiModelProperty(value = "当月新增Vip人数", required = false)
    private Integer vip4MonthNum = 0;
    @ApiModelProperty(value = "当月新增网管课人数", required = false)
    private Integer practice4MonthNum = 0;
    @ApiModelProperty(value = "当月续费", required = false)
    private Integer renew4MonthNum = 0;
    @ApiModelProperty(value = "同比上月增减人数", required = false)
    private Integer change4MonthNum = 0;
    @ApiModelProperty(value = "当月回款金额", required = false)
    private BigDecimal totalMoney = BigDecimal.ZERO;

    public Integer getTryNum() {
        return tryNum;
    }

    public void setTryNum(Integer tryNum) {
        this.tryNum = tryNum;
    }

    public Integer getVipNum() {
        return vipNum;
    }

    public void setVipNum(Integer vipNum) {
        this.vipNum = vipNum;
    }

    public Integer getPracticeNum() {
        return practiceNum;
    }

    public void setPracticeNum(Integer practiceNum) {
        this.practiceNum = practiceNum;
    }

    public Integer getVip4MonthNum() {
        return vip4MonthNum;
    }

    public void setVip4MonthNum(Integer vip4MonthNum) {
        this.vip4MonthNum = vip4MonthNum;
    }

    public Integer getPractice4MonthNum() {
        return practice4MonthNum;
    }

    public void setPractice4MonthNum(Integer practice4MonthNum) {
        this.practice4MonthNum = practice4MonthNum;
    }

    public Integer getRenew4MonthNum() {
        return renew4MonthNum;
    }

    public void setRenew4MonthNum(Integer renew4MonthNum) {
        this.renew4MonthNum = renew4MonthNum;
    }

    public Integer getChange4MonthNum() {
        return change4MonthNum;
    }

    public void setChange4MonthNum(Integer change4MonthNum) {
        this.change4MonthNum = change4MonthNum;
    }

    public BigDecimal getTotalMoney() {
        return totalMoney;
    }

    public void setTotalMoney(BigDecimal totalMoney) {
        this.totalMoney = totalMoney;
    }

    public List<Practice4OrganDto> getPractice4OrganDtoList() {
        return practice4OrganDtoList;
    }

    public void setPractice4OrganDtoList(List<Practice4OrganDto> practice4OrganDtoList) {
        this.practice4OrganDtoList = practice4OrganDtoList;
    }
}
